Bug 542077 - Review Request: php-pear-HTTP-Request2 - Provides an easy way to perform HTTP requests
Review Request: php-pear-HTTP-Request2 - Provides an easy way to perform HTTP...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On: 542075
Blocks: 542084
  Show dependency treegraph
 
Reported: 2009-11-28 03:56 EST by Remi Collet
Modified: 2009-12-15 20:18 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.5.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-15 20:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2009-11-28 03:56:54 EST
Spec URL: http://remi.fedorapeople.org/php-pear-HTTP-Request2.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-HTTP-Request2-0.5.1-1.fc8.src.rpm
Description: 
PHP5 rewrite of HTTP_Request package. Provides cleaner API and pluggable
Adapters. Currently available are:
  * Socket adapter, based on old HTTP_Request code,
  * Curl adapter, wraps around PHP's cURL extension,
  * Mock adapter, to use for testing packages dependent on HTTP_Request2.
Supports POST requests with data and file uploads, basic and digest 
authentication, cookies, proxies, gzip and deflate encodings, monitoring 
the request progress with Observers...

rpmlint is silent
Scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=1835082
Comment 1 David Nalley 2009-11-30 00:40:59 EST
OK: rpmlint must be run on every package. The output should be posted in the
review.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ./php-pear-HTTP-Request2.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint
../SRPMS/php-pear-HTTP-Request2-0.5.1-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint
../RPMS/noarch/php-pear-HTTP-Request2-0.5.1-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
Source contains New BSD license - shortname in Fedora licensing guidelines is
BSD, which matches spec. 
NA: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

[ke4qqq@nalleyx60 SOURCES]$ md5sum HTTP_Request2-0.5.1.tgz*
8096a3e9bbebf11780006e2c347ef650  HTTP_Request2-0.5.1.tgz
8096a3e9bbebf11780006e2c347ef650  HTTP_Request2-0.5.1.tgz.1

OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
NA: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
NA: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files
(not just symlinks) in any of the dynamic linker's default paths, must call
ldconfig in %post and %postun. 
OK: Packages must NOT bundle copies of system libraries.
NA: If the package is designed to be relocatable, the packager must state this
fact in the request for review, along with the rationalization for relocation
of that specific package. Without this, use of Prefix: /usr is considered a
blocker. 
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set with
executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of
large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of
the application. To summarize: If it is in %doc, the program must run properly
if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package. 
NA: In the vast majority of cases, devel packages must require the base package
using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation. 
Question : Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

Same question here as in 542075 - there is a %files entry that says: 
%{pear_phpdir}/HTTP

OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or
$RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.
Comment 2 Remi Collet 2009-11-30 01:00:09 EST
HTTP dir must be owned because HTTP_Request2 doesn't require any other package that already own it.

+
Comment 3 David Nalley 2009-11-30 11:50:38 EST
OK - thanks for the work 

APPROVED
Comment 4 Remi Collet 2009-11-30 11:59:51 EST
Thanks for the review

New Package CVS Request
=======================
Package Name: php-pear-HTTP-Request2
Short Description: Provides an easy way to perform HTTP requests
Owners: remi
Branches: F-12, F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-12-03 01:32:13 EST
cvs done.
Comment 6 Fedora Update System 2009-12-03 12:08:39 EST
php-pear-HTTP-Request2-0.5.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-pear-HTTP-Request2-0.5.1-1.fc12
Comment 7 Fedora Update System 2009-12-03 12:10:50 EST
php-pear-HTTP-Request2-0.5.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pear-HTTP-Request2-0.5.1-1.fc11
Comment 8 Fedora Update System 2009-12-04 18:39:18 EST
php-pear-HTTP-Request2-0.5.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-HTTP-Request2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12622
Comment 9 Fedora Update System 2009-12-04 18:39:23 EST
php-pear-HTTP-Request2-0.5.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-HTTP-Request2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12623
Comment 10 Fedora Update System 2009-12-15 20:08:10 EST
php-pear-HTTP-Request2-0.5.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-12-15 20:17:59 EST
php-pear-HTTP-Request2-0.5.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.